/* Copyright (c) 2014, Michael Santos <michael.santos@gmail.com>
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
static const alcove_constant_t alcove_mount_constants[] = {
#ifdef MS_RDONLY
    {"rdonly", MS_RDONLY},
    ALCOVE_CONSTANT(MS_RDONLY),
#endif
#ifdef MS_NOSUID
    {"nosuid", MS_NOSUID},
    ALCOVE_CONSTANT(MS_NOSUID),
#endif
#ifdef MS_NODEV
    ALCOVE_CONSTANT(MS_NODEV),
#endif
#ifdef MS_NOEXEC
    {"noexec", MS_NOEXEC},
    ALCOVE_CONSTANT(MS_NOEXEC),
#endif
#ifdef MS_SYNCHRONOUS
    ALCOVE_CONSTANT(MS_SYNCHRONOUS),
#endif
#ifdef MS_REMOUNT
    ALCOVE_CONSTANT(MS_REMOUNT),
#endif
#ifdef MS_MANDLOCK
    ALCOVE_CONSTANT(MS_MANDLOCK),
#endif
#ifdef MS_DIRSYNC
    ALCOVE_CONSTANT(MS_DIRSYNC),
#endif
#ifdef MS_NOATIME
    {"noatime", MS_NOATIME},
    ALCOVE_CONSTANT(MS_NOATIME),
#endif
#ifdef MS_NODIRATIME
    ALCOVE_CONSTANT(MS_NODIRATIME),
#endif
#ifdef MS_BIND
    ALCOVE_CONSTANT(MS_BIND),
#endif
#ifdef MS_MOVE
    ALCOVE_CONSTANT(MS_MOVE),
#endif
#ifdef MS_REC
    ALCOVE_CONSTANT(MS_REC),
#endif
#ifdef MS_SILENT
    ALCOVE_CONSTANT(MS_SILENT),
#endif
#ifdef MS_POSIXACL
    ALCOVE_CONSTANT(MS_POSIXACL),
#endif
#ifdef MS_UNBINDABLE
    ALCOVE_CONSTANT(MS_UNBINDABLE),
#endif
#ifdef MS_PRIVATE
    ALCOVE_CONSTANT(MS_PRIVATE),
#endif
#ifdef MS_SLAVE
    ALCOVE_CONSTANT(MS_SLAVE),
#endif
#ifdef MS_SHARED
    ALCOVE_CONSTANT(MS_SHARED),
#endif
#ifdef MS_RELATIME
    ALCOVE_CONSTANT(MS_RELATIME),
#endif
#ifdef MS_KERNMOUNT
    ALCOVE_CONSTANT(MS_KERNMOUNT),
#endif
#ifdef MS_I_VERSION
    ALCOVE_CONSTANT(MS_I_VERSION),
#endif
#ifdef MS_STRICTATIME
    ALCOVE_CONSTANT(MS_STRICTATIME),
#endif
#ifdef MS_ACTIVE
    ALCOVE_CONSTANT(MS_ACTIVE),
#endif
#ifdef MS_NOUSER
    ALCOVE_CONSTANT(MS_NOUSER),
#endif
#ifdef MS_RMT_MASK
    ALCOVE_CONSTANT(MS_RMT_MASK),
#endif
#ifdef MS_MGC_VAL
    ALCOVE_CONSTANT(MS_MGC_VAL),
#endif
#ifdef MS_MGC_MSK
    ALCOVE_CONSTANT(MS_MGC_MSK),
#endif

#ifdef MS_FSS
    ALCOVE_CONSTANT(MS_FSS),
#endif
#ifdef MS_DATA
    ALCOVE_CONSTANT(MS_DATA),
#endif
#ifdef MS_NOTRUNC
    ALCOVE_CONSTANT(MS_NOTRUNC),
#endif
#ifdef MS_OVERLAY
    ALCOVE_CONSTANT(MS_OVERLAY),
#endif
#ifdef MS_OPTIONSTR
    ALCOVE_CONSTANT(MS_OPTIONSTR),
#endif
#ifdef MS_GLOBAL
    ALCOVE_CONSTANT(MS_GLOBAL),
#endif
#ifdef MS_FORCE
    ALCOVE_CONSTANT(MS_FORCE),
#endif
#ifdef MS_NOMNTTAB
    ALCOVE_CONSTANT(MS_NOMNTTAB),
#endif
#ifdef MS_SYSSPACE
    ALCOVE_CONSTANT(MS_SYSSPACE),
#endif
#ifdef MS_NOSPLICE
    ALCOVE_CONSTANT(MS_NOSPLICE),
#endif
#ifdef MS_NOCHECK
    ALCOVE_CONSTANT(MS_NOCHECK),
#endif
#ifdef MS_MASK
    ALCOVE_CONSTANT(MS_MASK),
#endif
#ifdef MS_UMOUNT_MASK
    ALCOVE_CONSTANT(MS_UMOUNT_MASK),
#endif

#ifdef MNT_FORCE
    ALCOVE_CONSTANT(MNT_FORCE),
#endif
#ifdef MNT_DETACH
    ALCOVE_CONSTANT(MNT_DETACH),
#endif
#ifdef MNT_EXPIRE
    ALCOVE_CONSTANT(MNT_EXPIRE),
#endif

#ifdef MNT_NOATIME
    {"noatime", MNT_NOATIME},
    ALCOVE_CONSTANT(MNT_NOATIME),
#endif
#ifdef MNT_RDONLY
    {"rdonly", MNT_RDONLY},
    ALCOVE_CONSTANT(MNT_RDONLY),
#endif
#ifdef MNT_NOEXEC
    {"noexec", MNT_NOEXEC},
    ALCOVE_CONSTANT(MNT_NOEXEC),
#endif
#ifdef MNT_NOSUID
    {"nosuid", MNT_NOSUID},
    ALCOVE_CONSTANT(MNT_NOSUID),
#endif

    {NULL, 0}
};
